from roboid import *
import roboidai as ai

hamster = HamsterS()

cam = ai.Camera('usb0')
dt = ai.ObjectDetector(multi=True, lang='ko')

dt.download_model()
dt.load_model()

def wait_until_fruit(fruit):
    while True:
        image = cam.read()
        if dt.detect(image):
            image = dt.draw_result(image)
            if fruit in dt.get_label():
                break
        cam.show(image)
        if cam.check_key() == 'esc': break

for _ in range(2):
    hamster.board_forward()
    wait_until_fruit('사과')
    hamster.board_right()
    
    hamster.board_forward()
    wait_until_fruit('바나나')
    hamster.board_left()

wait(100)
