import roboidai as ai

cam = ai.Camera('usb0', flip='h')
dt = ai.AgeGenderDetector()

dt.download_age_model()
dt.download_gender_model()

dt.load_age_model()
dt.load_gender_model()

while True:
    image = cam.read()
    if dt.detect(image):
        image = dt.draw_result(image)
            
    cam.show(image)
    if cam.check_key() == 'esc': break
