from roboid import *
import roboidai as ai

hamster = HamsterS()

cam = ai.Camera('usb0')
dt = ai.ObjectDetector(multi=True, lang='ko')

dt.download_model()
dt.load_model()

def wait_until_fruits(fruit):
    while True:
        image = cam.read()
        if dt.detect(image):
            image = dt.draw_result(image)
            for x in fruit:
                if x in dt.get_label():
                    return
        cam.show(image)
        if cam.check_key() == 'esc': break

hamster.board_forward()
hamster.board_forward()
wait_until_fruits(['사과', '바나나'])
if '사과' in dt.get_label():
    hamster.board_left()
else:
    hamster.board_right()
hamster.board_forward()
    
wait(100)
