import roboidai as ai

cam = ai.Camera('usb0', flip='h')
detector = ai.HandPose()

detector.load_model()

while True:
    image = cam.read()
    if detector.detect(image):
        image = detector.draw_result(image)
    
    cam.show(image)
    if cam.check_key() == 'esc': break
