from roboid import *
import roboidai as ai

hamster = HamsterS()

cam = ai.Camera('usb0')
dt = ai.ObjectDetector(multi=True, lang='ko')

dt.download_model()
dt.load_model()

while True:
    image = cam.read()
    if dt.detect(image):
        image = dt.draw_result(image)
        print(dt.get_label())
        if '정지 신호' in dt.get_label():
            hamster.stop()
        else:
            hamster.line_both()
    
    cam.show(image)
    if cam.check_key(1000) == 'esc': break

hamster.stop()
wait(100)
