import roboidai as ai
from roboid import *

hamster = HamsterS()

tmi = ai.TmImage()
tmi.load_model('c:/Example/가위바위보')

cam = ai.Camera('usb0', flip='h', square=True)
cam.count_down(3)

while True:
    image = cam.read()
    if tmi.predict(image, 0.8):
        label = tmi.get_label()
        if label == '가위':
            hamster.wheels(30, 30)
        elif label == '바위':
            hamster.wheels(-30, -30)
        elif label == '보':
            hamster.stop()
    
    cam.show(image)
    if cam.check_key() == 'esc': break
hamster.stop()
wait(100)
